Skip to content

List Form Submissions

GET
/businesses/{businessId}/form-submissions
curl --request GET \
--url 'https://api.upvio.com/v1/businesses/example/form-submissions?limit=10&offset=0' \
--header 'Authorization: Bearer <token>'

List all forms

businessId
required

The ID of the Business.

string
limit

The maximum number of Form Submissions to return.

integer
default: 10 <= 50
offset

The number of Form Submissions to skip before starting to collect the result set.

integer
0 <= 10000
filters

Filter options for Form Submissions.

object
formId

Filter by Form ID.

string
patientId

Filter by Patient ID.

string

List of Form Submissions

Media type application/json
object
data
Array<object>
Form Submission

A form submission created by a client when a form is submitted.

object
id

Unique identifier across the platform.

string format: uuid
formId

The unique identifier of the form that created this submission.

string
patientId

The unique identifier of the patient who submitted the form.

string
patientVerified

Whether the patient was authenticated when submitting the form.

boolean
appointmentId

If the form included a booking form then an appointment ID will be associated with the submission.

string
questions
Array<object>
object
id

The unique identifier of the question.

string
type

The type of the question (e.g., text, multiple choice).

string
title

The title of the question.

string
patientKey

The key used to identify the question for the patient.

string
nullable
answers
Array<object>
object
id

The ID that matches the question ID.

string
value

The answer provided by the patient.

string
createdAt

The date and time when the form submission was created.

string format: date-time
startedAt

The date and time when the form submission was started.

string format: date-time
completedAt

The date and time when the form submission was submitted.

string format: date-time
Example
{
"data": [
{
"formId": "form1",
"patientId": "patient1",
"patientVerified": true,
"appointmentId": "appointment1",
"questions": [
{
"id": "patient-name",
"type": "text",
"patientKey": "patientName"
}
],
"answers": [
{
"id": "patient-name",
"value": "Jane Doe"
}
]
}
]
}